@echo off
echo This is the update batch for DCC Throttle
echo This bath will load mft.hex and mft.eep into the throttle
if %1.==. goto err

echo.
echo Please Remove OpenDCC Throttle and press the SHIFT button _during_ reconnect
echo. 
echo OpenDCC Throttle will enter bootloader (running at 19200 Baud).
echo (Softkey A flashes red, then stays at green)
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dAT90can128 -e -pf -vf -ifmft.hex -c%1

echo Flash done, now loading EEPROM ...
echo (if you want to keep your eeprom content, press ctrl C)
pause

avrosp -dAT90can128 -pe -ve -iemft.eep -c%1

echo Update done, now exit bootloader ..
pause
echo E > %1
echo.

goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: throttle_test.hex and throttle_test.eep
echo.
:exit
