
//---------------------------------------------------------------------------------
// Senderoutinen zum PC

void pc_send(unsigned char out);                    // send single char
 
void pc_send_string(const char *string);            // send string 

void pc_send_string_P(const char *progmem_string);   // send string in PROGMEM

void pc_send_crlf(void);

void pc_send_answer_P(const char *progmem_string);   // send string in PROGMEM + cr lf

void pc_send_num(unsigned int num);                 // send an int + leading blank

void pc_send_int(unsigned int num);                 // send an int

void pc_send_hex(unsigned char value);                  // send a char as hex, leading 0

void pc_send_bin(unsigned char value);                 // send a char as bin, leading 0

void pc_send_int02(int data);                        // two digits
